CREATE TABLE RQDISCUSSIONGROUPS (
       DISCUSSIONID         DECIMAL(10) DEFAULT 0 NOT NULL,
       GROUPID              DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQDISCGROUPS_PK PRIMARY KEY (DISCUSSIONID, GROUPID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQDISCUSSIONREQUIREMENTS (
       DISCUSSIONID         DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTID        DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQDISCREQS_PK PRIMARY KEY (DISCUSSIONID, REQUIREMENTID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQDISCUSSIONS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       ROOTID               DECIMAL(10) DEFAULT 0 NOT NULL,
       PARENTID             DECIMAL(10),
       SUBJECT              VARCHAR(255) NOT NULL,
       MESSAGE              CLOB(64K),
       AUTHORID             DECIMAL(10) DEFAULT 0 NOT NULL,
       SUBMITDATETIME       TIMESTAMP,
       PRIORITY             DECIMAL(3) DEFAULT 2 NOT NULL,
       STATUS               DECIMAL(3) DEFAULT 1 NOT NULL,
       HASRESPONSES         DECIMAL(1) DEFAULT 0,
       RESTRICTED           DECIMAL(3) DEFAULT 0,
       CONSTRAINT RQDISCUSSIONS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K LONG IN TABLE32K;

CREATE TABLE RQDISCUSSIONSREAD (
       DISCUSSIONID         DECIMAL(10) DEFAULT 0 NOT NULL,
       USERID               DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQDISCREAD_PK PRIMARY KEY (DISCUSSIONID, USERID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQDISCUSSIONUSERS (
       DISCUSSIONID         DECIMAL(10) DEFAULT 0 NOT NULL,
       USERID               DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQDISCUSERS_PK PRIMARY KEY (DISCUSSIONID, USERID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQDOCUMENTHISTORY (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR(50) NOT NULL,
       VERSIONLABEL         VARCHAR(255),
       VERSIONUSERID        DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(1000),
       OVERFLOWIND          DECIMAL(1) DEFAULT 0 NOT NULL,
       CONSTRAINT RQDOCHISTORY_PK PRIMARY KEY (ID, VERSIONNUMBER)
) IN TABLE16K INDEX IN INDEX4K;

CREATE TABLE RQDOCUMENTS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       DOCUMENTTYPEID       DECIMAL(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(64) NOT NULL,
       DESCRIPTION          VARCHAR(255),
       ITEMLABEL            DECIMAL(1) DEFAULT 1 NOT NULL,
       PROTECTSTATE         VARCHAR(50),
       UNLOCKTOREVISE       DECIMAL(1) DEFAULT 0 NOT NULL,
       DEFERREDRENUMBER     VARCHAR(50),
       DEFERREDRESTYLE      VARCHAR(50),
       FILEDIRECTORY        VARCHAR(255),
       FILENAME             VARCHAR(255) NOT NULL,
       FILEEXTENSION        VARCHAR(255) NOT NULL,
       FILEDATETIME         TIMESTAMP NOT NULL,
       FILESIZE             DECIMAL(10) DEFAULT 0 NOT NULL,
       FILEFLAGS            VARCHAR(50),
       FILEVERSION          DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR(50) NOT NULL,
       VERSIONLABEL         VARCHAR(255),
       VERSIONUSERID        DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(1000),
       OFFLINEFULLPATH      VARCHAR(255),
       OFFLINESTATUS        DECIMAL(1) DEFAULT 0 NOT NULL, 
       RQGUID               VARCHAR(40) NOT NULL,
       FLAGS                DECIMAL(10) DEFAULT 0,
       CONSTRAINT RQDOCUMENTS_PK PRIMARY KEY (ID)
) IN TABLE16K INDEX IN INDEX4K;

CREATE TABLE RQDOCUMENTTYPES (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(64) NOT NULL,
       DESCRIPTION          VARCHAR(255),
       FILEEXTENSION        VARCHAR(255) NOT NULL,
       DEFAULTREQUIREMENTTYPE DECIMAL(10) DEFAULT 0 NOT NULL,
       TEMPLATENAME         VARCHAR(64),
       TEMPLATEDESCRIPTION  VARCHAR(255),
       TEMPLATEFILENAME     VARCHAR(255),
       TEMPLATEHELPFILE     VARCHAR(255),
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQDOCTYPES_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQDOCUMENTTYPEUSERS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       DOCUMENTTYPEID       DECIMAL(10) DEFAULT 0 NOT NULL,
       USERGROUPID          DECIMAL(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         DECIMAL(3) DEFAULT 0 NOT NULL,
       CONSTRAINT RQDOCTYPUSRS_PK PRIMARY KEY (PROJECTID, DOCUMENTTYPEID, USERGROUPID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQEXTERNALPROJECTS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(64) NOT NULL,
       RQGUID               VARCHAR(40) NOT NULL,
       PREFIX               VARCHAR(20),
       DIRECTORY            VARCHAR(255) NOT NULL,
       FILENAME             VARCHAR(255) NOT NULL,
       CONSTRAINT RQEXTPROJECTS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQGENERICTABLETEMP (
       SESSIONID            DECIMAL(10) NOT NULL,
       ID                   DECIMAL(10) NOT NULL,
       SDATA                VARCHAR(255),
       LDATA                DECIMAL(10)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQHIERARCHYFINALORDERTEMP (
       SESSIONID            DECIMAL(10) NOT NULL,
       REQUIREMENTID        DECIMAL(10) NOT NULL,
       LONGTAGNUMBER        VARCHAR(255) NOT NULL,
       ORDERTAG             VARCHAR(255) NOT NULL
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQHIERARCHYORDEREDLEVELSTEMP (
       SESSIONID            DECIMAL(10) NOT NULL,
       REQUIREMENTID        DECIMAL(10) NOT NULL,
       LONGTAGNUMBER        VARCHAR(255) NOT NULL,
       DATAORDER            DECIMAL(10,0) GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1, NO CACHE)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQHIERARCHYTABLETEMP (
       SESSIONID            DECIMAL(10) NOT NULL,
       REQUIREMENTKEY       DECIMAL(10) NOT NULL,
       LONGTAGNUMBER        VARCHAR(255) NOT NULL,
       DATAORDER            DECIMAL(10)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQKEYS (
       KEYCLASS             VARCHAR(50) NOT NULL,
       LASTKEY              DECIMAL(10) NOT NULL,
       CONSTRAINT RQKEYS_PK PRIMARY KEY (KEYCLASS)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQOVERFLOWHISTORY (
       OVERFLOWTYPE         DECIMAL(1) NOT NULL,
       OVERFLOWID           DECIMAL(10) NOT NULL,
       OVERFLOWVERSIONNUMBER VARCHAR(50) NOT NULL,
       OVERFLOWVERSIONREASON CLOB(64K),
       CONSTRAINT RQOFLOWHIST_PK PRIMARY KEY (OVERFLOWTYPE, OVERFLOWID, OVERFLOWVERSIONNUMBER)
) IN TABLE4K INDEX IN INDEX4K LONG IN TABLE32K;

CREATE TABLE RQOVERFLOWTEXT (
       OVERFLOWID           DECIMAL(10) NOT NULL,
       OVERFLOWTEXT         CLOB(64K),
       CONSTRAINT RQOFLOWTEXT_PK PRIMARY KEY (OVERFLOWID)
) IN TABLE4K INDEX IN INDEX4K LONG IN TABLE32K;

CREATE TABLE RQOVERFLOWVALUES (
       OVERFLOWREQUIREMENTID DECIMAL(10) NOT NULL,
       OVERFLOWFIELDID      DECIMAL(10) NOT NULL,
       OVERFLOWFIELDVALUE   CLOB(64K),
       CONSTRAINT RQOFLOWVALS_PK PRIMARY KEY (OVERFLOWREQUIREMENTID, OVERFLOWFIELDID)
) IN TABLE4K INDEX IN INDEX4K LONG IN TABLE32K;

 
CREATE TABLE RQPACKAGEELEMENTS (
       PACKAGEID DECIMAL(10) NOT NULL, 
       REQUIREMENTID DECIMAL(10), 
       DOCUMENTID DECIMAL(10), 
       VIEWID DECIMAL(10)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPACKAGES (
       ID DECIMAL(10) NOT NULL, 
       PROJECTID DECIMAL(10) NOT NULL, 
       PARENTID DECIMAL(10), 
       NAME VARCHAR(128) NOT NULL, 
       DESCRIPTION VARCHAR(255), 
       RQGUID VARCHAR(40) NOT NULL,
       CONSTRAINT RQPACKAGES_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTDISCUSSIONS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       DISCUSSIONID         DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJDISCS_PK PRIMARY KEY (PROJECTID, DISCUSSIONID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTDOCUMENTS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       DOCUMENTID           DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJDOCS_PK PRIMARY KEY (PROJECTID, DOCUMENTID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTDOCUMENTTYPES (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       DOCUMENTTYPEID       DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJDOCTYP_PK PRIMARY KEY (PROJECTID, DOCUMENTTYPEID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTEXTERNALPROJECTS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       EXTERNALPROJECTID    DECIMAL(10) DEFAULT 0 NOT NULL,
       CONNECTATOPEN        DECIMAL(1) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJXPROJ_PK PRIMARY KEY (PROJECTID, EXTERNALPROJECTID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTHISTORY (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR(50) NOT NULL,
       VERSIONLABEL         VARCHAR(255),
       VERSIONUSERID        DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(1000),
       OVERFLOWIND          DECIMAL(1) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJHIST_PK PRIMARY KEY (ID, VERSIONNUMBER)
) IN TABLE16K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTLOCKS (
       ID                   DECIMAL(10) NOT NULL,
       CONSTRAINT RQPROJLOCKS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTREQUIREMENTS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTID        DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJREQS_PK PRIMARY KEY (PROJECTID, REQUIREMENTID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTREQUIREMENTTYPES (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJREQTYP_PK PRIMARY KEY (PROJECTID, REQUIREMENTTYPEID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTS (
       ID                   DECIMAL(10) NOT NULL,
       NAME                 VARCHAR(64) NOT NULL,
       PREFIX               VARCHAR(20),
       RQGUID               VARCHAR(40) NOT NULL,
       DESCRIPTION          VARCHAR(255),
       DOCUMENTWORDFORMAT   DECIMAL(1) DEFAULT 0 NOT NULL,
       AUTHORID             DECIMAL(10) DEFAULT 0 NOT NULL,
       SECURITYENABLED      DECIMAL(1) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR(50) NOT NULL,
       VERSIONLABEL         VARCHAR(255),
       VERSIONUSERID        DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(1000),
       RSDS                 VARCHAR(255),
       FLAGS                DECIMAL(10) DEFAULT 0,
       XMLVERSION           DECIMAL(3) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJECTS_PK PRIMARY KEY (ID)
) IN TABLE16K INDEX IN INDEX4K;

CREATE TABLE RQPROJECTUSERS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       USERGROUPID          DECIMAL(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         DECIMAL(3) DEFAULT 0 NOT NULL,
       CONSTRAINT RQPROJUSERS_PK PRIMARY KEY (PROJECTID, USERGROUPID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQQUERYDEFINITIONS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       PROJECTID            DECIMAL(10) NOT NULL,
       QUERYNAME            VARCHAR(64) NOT NULL,
       QUERYDESCRIPTION     VARCHAR(255),
       QUERYUSERID          DECIMAL(10) DEFAULT 0 NOT NULL,
       QUERYDATETIME        TIMESTAMP NOT NULL,
       QUERYREASON          VARCHAR(255),
       QUERYBASETYPE        DECIMAL(10) DEFAULT 1 NOT NULL,
       QUERYSTRING          VARCHAR(4000),
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQQUERYDEFS_PK PRIMARY KEY (ID)
) IN TABLE16K INDEX IN INDEX4K;

CREATE TABLE RQREQUIREMENTHISTORY (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR(50) NOT NULL,
       VERSIONLABEL         VARCHAR(255),
       VERSIONUSERID        DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(1000),
       OVERFLOWIND          DECIMAL(1) DEFAULT 0 NOT NULL,
       CONSTRAINT RQREQHISTORY_PK PRIMARY KEY (ID, VERSIONNUMBER)
) IN TABLE16K INDEX IN INDEX4K;

CREATE TABLE RQREQUIREMENTS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    DECIMAL(10) DEFAULT 0 NOT NULL,
       TAG                  DECIMAL(10) NOT NULL,
       LASTCHILDTAG         DECIMAL(10) DEFAULT 0,
       BOOKMARKNAME         VARCHAR(64),
       BOOKMARKDOCUMENTID   DECIMAL(10),
       DOCUMENTPOSITION     DECIMAL(10) DEFAULT 0,
       LONGTAGNUMBER        VARCHAR(255) NOT NULL,
       REQUIREMENTPREFIX    VARCHAR(64) NOT NULL,
       REQUIREMENTTEXT      VARCHAR(4000),
       OVERFLOWIND          DECIMAL(1) DEFAULT 0 NOT NULL,
       DELETED              DECIMAL(1) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR(50) NOT NULL,
       VERSIONLABEL         VARCHAR(255),
       VERSIONUSERID        DECIMAL(10) NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(1000),
       RQGUID               VARCHAR(40) NOT NULL,
       FLAGS                DECIMAL(10) DEFAULT 0,
       LASTDOCTEXT          DECIMAL(10),
       REQUIREMENTNAME      VARCHAR(128),
       SUSPECTDATETIME      TIMESTAMP
) IN TABLE16K INDEX IN INDEX4K;

CREATE INDEX RQREQS_CX ON RQREQUIREMENTS (ID) CLUSTER PCTFREE 10;
ALTER TABLE RQREQUIREMENTS ADD CONSTRAINT RQREQS_PK PRIMARY KEY (ID);

CREATE TABLE RQREQUIREMENTTYPEFIELDS (
       REQUIREMENTTYPEID    DECIMAL(10) DEFAULT 0 NOT NULL,
       USERDEFINEDFIELDID   DECIMAL(10) DEFAULT 0 NOT NULL,
       CONSTRAINT RQREQTYPFLDS_PK PRIMARY KEY (REQUIREMENTTYPEID, USERDEFINEDFIELDID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQREQUIREMENTTYPES (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(64) NOT NULL,
       DESCRIPTION          VARCHAR(255),
       REQUIREMENTPREFIX    VARCHAR(64) NOT NULL,
       REQUIREMENTSTYLE     DECIMAL(3) DEFAULT 0 NOT NULL,
       REQUIREMENTCOLOR     DECIMAL(3) DEFAULT 0 NOT NULL,
       REQUIREMENTMUSTCONTAIN VARCHAR(64),
       INITIALREQNUMBER     DECIMAL(10) DEFAULT 0 NOT NULL,
       LASTREQNUMBER        DECIMAL(10) DEFAULT 0,
       ALLOWEXTERNALREFERENCES DECIMAL(1) DEFAULT 0 NOT NULL, 
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQREQTYPES_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQREQUIREMENTTYPESTYLES (
       REQUIREMENTTYPEID    DECIMAL(10) DEFAULT 0 NOT NULL,
       REQTYPELEVEL         DECIMAL(5) DEFAULT 0 NOT NULL,
       STYLE                VARCHAR(255),
       CONSTRAINT RQREQTYPSTY_PK PRIMARY KEY (REQUIREMENTTYPEID, REQTYPELEVEL)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQREQUIREMENTTYPEUSERS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    DECIMAL(10) DEFAULT 0 NOT NULL,
       USERGROUPID          DECIMAL(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         DECIMAL(3) DEFAULT 0 NOT NULL,
       REQTEXTACCESSRIGHTS  DECIMAL(3),
       TRACEABILITYACCESSRIGHTS DECIMAL(3),
       REQNAMEACCESSRIGHTS  DECIMAL(3),
       CONSTRAINT RQREQTYPUSRS_PK PRIMARY KEY (PROJECTID, REQUIREMENTTYPEID, USERGROUPID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQREQUISITE (
       DATASTRUCTURE        DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTEXTSIZE  DECIMAL(10) NOT NULL,
       FIELDVALUESIZE       DECIMAL(10) NOT NULL,
       VERSIONREASONSIZE    DECIMAL(10) NOT NULL,
       RESERVEDFLAGS        DECIMAL(10)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQTORELATIONSHIPS (
       ID                   DECIMAL(10,0) GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1, NO CACHE),
       REQUIREMENTID        DECIMAL(10) DEFAULT 0 NOT NULL,
       EXTERNALPROJECTID    DECIMAL(10) DEFAULT 0 NOT NULL,
       TOID                 DECIMAL(10) DEFAULT 0 NOT NULL,
       EXTERNALPROJECTTOID  DECIMAL(10) DEFAULT 0 NOT NULL,
       STATE                DECIMAL(3) DEFAULT 0,
       TYPE                 DECIMAL(3) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(64),
       VERSIONNUMBER        VARCHAR(50),
       VERSIONUSERID        DECIMAL(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      TIMESTAMP DEFAULT NOT NULL,
       VERSIONREASON        VARCHAR(255)
) IN TABLE4K INDEX IN INDEX4K;

CREATE INDEX RQTORSHIPS_CX ON RQTORELATIONSHIPS (ID) CLUSTER PCTFREE 10;
ALTER TABLE RQTORELATIONSHIPS ADD CONSTRAINT RQTORSHIPS_PK PRIMARY KEY (ID);

CREATE TABLE RQTRACETABLEINDIR (
       SESSIONID            DECIMAL(10) DEFAULT 0 NOT NULL,
       ID		    DECIMAL(10) DEFAULT 0 NOT NULL
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQTRACETABLETEMP (
       SESSIONID            DECIMAL(10) DEFAULT 0 NOT NULL,
       ROOTID               DECIMAL(10) DEFAULT 0 NOT NULL,
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       LVL                  DECIMAL(10) DEFAULT 0 NOT NULL,
       STATUS               DECIMAL(3)
) IN TABLE4K INDEX IN INDEX4K;
CREATE TABLE RQUSERDEFINEDDOCRELVALUES (
       DOCUMENTID           DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDID              DECIMAL(10) DEFAULT 0 NOT NULL,
       RELATEDITEMID        VARCHAR(255) NOT NULL,
       CONSTRAINT RQUDDOCRVAL_PK PRIMARY KEY (DOCUMENTID, FIELDID, RELATEDITEMID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERDEFINEDFIELDS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       LABEL                VARCHAR(32) NOT NULL,
       RANK                 DECIMAL(10) DEFAULT 0 NOT NULL,
       AUTOSUSPECT          DECIMAL(1) DEFAULT 0 NOT NULL,
       REQUIRED             DECIMAL(1) DEFAULT 0 NOT NULL,
       DATATYPE             DECIMAL(3) DEFAULT 0 NOT NULL,
       DEFAULTVALUE         VARCHAR(255), 
       FLAGS                DECIMAL(10),
       DESCRIPTION          VARCHAR(255),
       FIELDPROPERTIES	    VARCHAR(255),
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQUDFIELDS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERDEFINEDFIELDUSERS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDID              DECIMAL(10) DEFAULT 0 NOT NULL,
       USERGROUPID          DECIMAL(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         DECIMAL(3) DEFAULT 0 NOT NULL,
       CONSTRAINT RQUDFLDUSRS_PK PRIMARY KEY (PROJECTID, FIELDID, USERGROUPID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERDEFINEDFIELDVALUES (
       REQUIREMENTID        DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDID              DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDVALUE           VARCHAR(1000) NOT NULL,
       OVERFLOWIND          DECIMAL(1) DEFAULT 0 NOT NULL,
       NUMERICVALUE         DECIMAL(20, 10)
) IN TABLE16K INDEX IN INDEX4K;

CREATE INDEX RQUDFLDVALS_CX ON RQUSERDEFINEDFIELDVALUES (REQUIREMENTID, FIELDID) CLUSTER PCTFREE 10;
ALTER TABLE RQUSERDEFINEDFIELDVALUES ADD CONSTRAINT RQUDFLDVALS_PK PRIMARY KEY (REQUIREMENTID, FIELDID);

CREATE TABLE RQUSERDEFINEDLISTITEMS (
       ITEMID               DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDID              DECIMAL(10) DEFAULT 0 NOT NULL,
       ITEMRANK             DECIMAL(5) DEFAULT 0 NOT NULL
                            CONSTRAINT ITEMRANK_CHECK CHECK (ITEMRANK >= 0),
       ITEMTEXT             VARCHAR(64) NOT NULL,
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQUDLSTITEM_PK PRIMARY KEY (ITEMID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERDEFINEDLISTITEMUSERS (
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       LISTITEMID           DECIMAL(10) DEFAULT 0 NOT NULL,
       USERGROUPID          DECIMAL(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         DECIMAL(3) DEFAULT 0 NOT NULL,
       CONSTRAINT RQUDLITMUSRS_PK PRIMARY KEY (PROJECTID, LISTITEMID, USERGROUPID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERDEFINEDLISTVALUES (
       REQUIREMENTID        DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDID              DECIMAL(10) DEFAULT 0 NOT NULL,
       LISTITEMID           DECIMAL(10) DEFAULT 0 NOT NULL
) IN TABLE4K INDEX IN INDEX4K;

CREATE INDEX RQUDLSTVALS_CX ON RQUSERDEFINEDLISTVALUES (REQUIREMENTID, FIELDID, LISTITEMID) CLUSTER PCTFREE 10;
ALTER TABLE RQUSERDEFINEDLISTVALUES ADD CONSTRAINT RQUDLSTVALS_PK PRIMARY KEY (REQUIREMENTID, FIELDID, LISTITEMID);

CREATE TABLE RQUSERDEFINEDRELVALUES (
       REQUIREMENTID        DECIMAL(10) DEFAULT 0 NOT NULL,
       FIELDID              DECIMAL(10) DEFAULT 0 NOT NULL,
       RELATEDITEMID        VARCHAR(255) NOT NULL,
       CONSTRAINT RQUDRELVALS_PK PRIMARY KEY (REQUIREMENTID, FIELDID, RELATEDITEMID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERGROUPS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(64) NOT NULL,
       DESCRIPTION          VARCHAR(255),
       PROJECTACCESSRIGHTS  DECIMAL(3) DEFAULT 0,
       DOCTYPEACCESSRIGHTS  DECIMAL(3) DEFAULT 0,
       REQTYPEACCESSRIGHTS  DECIMAL(3) DEFAULT 0,
       ATTRIBUTEACCESSRIGHTS DECIMAL(3) DEFAULT 3,
       LISTITEMACCESSRIGHTS DECIMAL(3) DEFAULT 3,
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQUSERGROUPS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQUSERS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       LOGINNAME            VARCHAR(20) NOT NULL,
       PASSWORD             VARCHAR(30),
       GROUPID              DECIMAL(10) DEFAULT 0,
       ACTIVE               DECIMAL(1) DEFAULT 1 NOT NULL,
       FULLNAME             VARCHAR(255),
       EMAILADDRESS         VARCHAR(255),
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQUSERS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K;

CREATE TABLE RQVIEWS (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       PROJECTID            DECIMAL(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    DECIMAL(10) DEFAULT 0 NOT NULL,
       SECONDARYREQTYPEID   DECIMAL(10) DEFAULT 0,
       VIEWNAME             VARCHAR(64) NOT NULL,
       VIEWDESCRIPTION      VARCHAR(255),
       VIEWTYPE             DECIMAL(3) DEFAULT 0,
       VISIBILITY           DECIMAL(3) DEFAULT 0,
       PROPERTIES           CLOB(64K),
       QUERYID              DECIMAL(10) DEFAULT 0,
       SECONDARYQUERYID     DECIMAL(10) DEFAULT 0,
       VIEWUSERID           DECIMAL(10) DEFAULT 0,
       VIEWDATETIME         TIMESTAMP,
       VIEWREASON           VARCHAR(255),
       RQGUID               VARCHAR(40) NOT NULL,
       CONSTRAINT RQVIEWS_PK PRIMARY KEY (ID)
) IN TABLE4K INDEX IN INDEX4K LONG IN TABLE32K;

ALTER TABLE RQDISCUSSIONGROUPS 		PCTFREE 10;
ALTER TABLE RQDISCUSSIONREQUIREMENTS  	PCTFREE 10;
ALTER TABLE RQDISCUSSIONS  		PCTFREE 10;
ALTER TABLE RQDISCUSSIONSREAD  		PCTFREE 10;
ALTER TABLE RQDISCUSSIONUSERS  		PCTFREE 10;
ALTER TABLE RQDOCUMENTHISTORY  		PCTFREE 10;
ALTER TABLE RQDOCUMENTS  		PCTFREE 10;
ALTER TABLE RQDOCUMENTTYPES  		PCTFREE 10;
ALTER TABLE RQDOCUMENTTYPEUSERS  	PCTFREE 10;
ALTER TABLE RQEXTERNALPROJECTS  	PCTFREE 10;
ALTER TABLE RQGENERICTABLETEMP  	PCTFREE 10;
ALTER TABLE RQHIERARCHYFINALORDERTEMP  	PCTFREE 10;
ALTER TABLE RQHIERARCHYORDEREDLEVELSTEMP  PCTFREE 10;
ALTER TABLE RQHIERARCHYTABLETEMP  	PCTFREE 10;
ALTER TABLE RQKEYS  			PCTFREE 10;
ALTER TABLE RQOVERFLOWHISTORY  		PCTFREE 10;
ALTER TABLE RQOVERFLOWTEXT  		PCTFREE 10;
ALTER TABLE RQOVERFLOWVALUES  		PCTFREE 10;
ALTER TABLE RQPACKAGEELEMENTS  	        PCTFREE 10;
ALTER TABLE RQPACKAGES  	        PCTFREE 10;
ALTER TABLE RQPROJECTDISCUSSIONS  	PCTFREE 10;
ALTER TABLE RQPROJECTDOCUMENTS  	PCTFREE 10;
ALTER TABLE RQPROJECTDOCUMENTTYPES  	PCTFREE 10;
ALTER TABLE RQPROJECTEXTERNALPROJECTS 	PCTFREE 10;
ALTER TABLE RQPROJECTHISTORY  		PCTFREE 10;
ALTER TABLE RQPROJECTLOCKS  		PCTFREE 10;
ALTER TABLE RQPROJECTREQUIREMENTS  	PCTFREE 10;
ALTER TABLE RQPROJECTREQUIREMENTTYPES  	PCTFREE 10;
ALTER TABLE RQPROJECTS  		PCTFREE 10;
ALTER TABLE RQPROJECTUSERS  		PCTFREE 10;
ALTER TABLE RQQUERYDEFINITIONS  	PCTFREE 10;
ALTER TABLE RQREQUIREMENTHISTORY  	PCTFREE 10;
ALTER TABLE RQREQUIREMENTS  		PCTFREE 10;
ALTER TABLE RQREQUIREMENTTYPEFIELDS  	PCTFREE 10;
ALTER TABLE RQREQUIREMENTTYPES  	PCTFREE 10;
ALTER TABLE RQREQUIREMENTTYPESTYLES  	PCTFREE 10;
ALTER TABLE RQREQUIREMENTTYPEUSERS  	PCTFREE 10;
ALTER TABLE RQREQUISITE  		PCTFREE 10;
ALTER TABLE RQTORELATIONSHIPS  		PCTFREE 10;
ALTER TABLE RQTRACETABLEINDIR  		PCTFREE 10;
ALTER TABLE RQTRACETABLETEMP  		PCTFREE 10;
ALTER TABLE RQUSERDEFINEDDOCRELVALUES  	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDFIELDS  	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDFIELDUSERS  	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDFIELDVALUES  	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDLISTITEMS  	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDLISTITEMUSERS 	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDLISTVALUES  	PCTFREE 10;
ALTER TABLE RQUSERDEFINEDRELVALUES  	PCTFREE 10;
ALTER TABLE RQUSERGROUPS  		PCTFREE 10;
ALTER TABLE RQUSERS  			PCTFREE 10;
ALTER TABLE RQVIEWS  			PCTFREE 10;
